<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="box-header with-border">
    <h3 class="box-title">

        <span ng-if="$ctrl.step.domains" >
            <span class="label label-default">
                <span ng-repeat="domain in $ctrl.step.domains" title="{{ domain.getUri() }}">
                {{ domain.getPreferedLabel() }}<span ng-if="!$last">,&nbsp;</span>
                </span>
            </span>
        &nbsp;</span><!--

        --><span title="{{ $ctrl.step.property.getUri() }}">{{ $ctrl.step.property.getPreferedLabel() }}</span>

        <!-- ranges -->
        <span ng-repeat="range in $ctrl.step.property.ranges">
            &nbsp;<span class="label label-default" title="{{ range.getUri() }}">{{ range.getPreferedLabel() }}</span>
        </span>
    </h3>

    <div class="box-tools pull-right">
        <button type="button" class="btn btn-box-tool" data-panel="close" ng-click="$ctrl.navigator.navigateTo($ctrl.navigator.getPreviousStep($ctrl.step))"><i class="fa fa-times"></i></button>
    </div>
</div>
<div class="box-body p-b-0 p-t-5 text-muted" ng-show="$ctrl.step.property.comment" >
    {{ $ctrl.step.property.comment }}
</div>